Name: 		klamav
Version: 	0.46
Release: 	2
Copyright: 	GPL
Summary: 	An Anti-Virus Manager For The KDE Desktop
Group: 		KDE
URL:		http://klamav.sourceforge.net/klamavwiki/index.php/Main_Page
Source0: 	%{name}-%{version}.tar.bz2
Source1:	clamav.desktop
Patch0:		%{name}.diff
BuildRequires:  qt-devel clamav clamav-devel
BuildRoot: 	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)
ExclusiveArch:  i386

%description
K Desktop Environment.
Wonderful polished front-end for KDE that makes ClamAV feel more like 
the commercial applications you find on other operating systems.

Linux doesn't have many problems with viruses but you can use this 
application to scan Windows boxes for viruses, worms, trojans, rootkits, 
dialers, spyware, and malware.

%prep
rm -rf $RPM_BUILD_ROOT
%setup -q
%patch0

%build
./configure --prefix=/opt/kde \
	  --host=i386-pc-linux-gnu \
          --build=i386-pc-linux-gnu \
	  --sysconfdir=/etc \
          --disable-debug \
	  --disable-nls \
	  --without-included-gettext \
          --disable-final \
	  --with-xinerama \
	  --with-extra-libs=/usr/lib \
	  --with-extra-includes=/usr/include \
          --with-install-root=$RPM_BUILD_ROOT \
	  --enable-audio=oss,esd \
	  --enable-tcltk \
	  --with-tcltk \
	  --with-tclx=/usr/lib \
	  --without-ffmpeg

make

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install
mkdir -p $RPM_BUILD_ROOT/usr/share/peanut/apps/Security
cp %{SOURCE1} $RPM_BUILD_ROOT/usr/share/peanut/apps/Security

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
/*
